#
# spec file for package mingw-clatexmath
#
# Copyright (c) 2021 Florian "sp1rit" <sp1ritCS@protonmail.com>
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#

%{?mingw_package_header}

%global _basename clatexmath

Name: 			mingw-%{_basename}
Version: 		0
Release: 		0
Summary: 		MinGW Windows cLaTeXMath library
# incorrect, I know

%global forgeurl https://github.com/NanoMichael/cLaTeXMath
%global commit   master

%forgemeta

License: 		MIT
URL: 			https://github.com/NanoMichael/cLaTeXMath
Source0: 		%{forgesource}
Patch0: 		use_glib_pi_const.diff

BuildArch:		noarch
BuildRequires: 	meson
BuildRequires: 	gcc-c++

BuildRequires: 	mingw32-filesystem mingw64-filesystem
BuildRequires: 	mingw32-gcc-c++ mingw64-gcc-c++
BuildRequires: 	mingw32-binutils mingw64-binutils

BuildRequires: 	mingw32-fontconfig mingw64-fontconfig
BuildRequires: 	mingw32-gtkmm30 mingw64-gtkmm30
BuildRequires: 	mingw32-gtksourceviewmm3 mingw64-gtksourceviewmm3

%global _description %{expand:
A dynamic, cross-platform, and embeddable LaTeX rendering library.
Cross-compiled for Windows.}

%description %{_description}

%package -n mingw32-%{_basename}
Summary: 		MinGW Windows cLaTeXMath library for the win32 target

%package -n mingw32-%{_basename}-static
Summary: 		Static version of the MinGW Windows cLaTeXMath library
Requires: 		mingw32-%{_basename} = %{version}-%{release}

%package -n mingw64-%{_basename}
Summary: 		MinGW Windows cLaTeXMath library for the win64 target

%package -n mingw64-%{_basename}-static
Summary: 		Static version of the MinGW Windows cLaTeXMath library
Requires: 		mingw64-%{_basename} = %{version}-%{release}

%description -n mingw32-%{_basename} %{_description}
%description -n mingw32-%{_basename}-static %{_description}
%description -n mingw64-%{_basename} %{_description}
%description -n mingw64-%{_basename}-static %{_description}

%{?mingw_debug_package}

%prep
%forgeautosetup -p1
rm -rf src/samples/
sed -i '99,104d' meson.build
sed -i '163,167d' meson.build

%build
%mingw_meson --default-library=both
%mingw_ninja

%install
%mingw_ninja_install

%files -n mingw32-%{_basename}
%{mingw32_bindir}/lib%{_basename}-0.dll
%{mingw32_libdir}/pkgconfig/%{_basename}.pc
%dir %{mingw32_includedir}/%{_basename}
%{mingw32_includedir}/%{_basename}/*
%dir %{mingw32_datadir}/%{_basename}
%{mingw32_datadir}/%{_basename}/.clatexmath-res_root
%{mingw32_datadir}/%{_basename}/*
%files -n mingw32-%{_basename}-static
%{mingw32_libdir}/lib%{_basename}.a
%{mingw32_libdir}/lib%{_basename}.dll.a

%files -n mingw64-%{_basename}
%{mingw64_bindir}/lib%{_basename}-0.dll
%{mingw64_libdir}/pkgconfig/%{_basename}.pc
%dir %{mingw64_includedir}/%{_basename}
%{mingw64_includedir}/%{_basename}/*
%dir %{mingw64_datadir}/%{_basename}
%{mingw64_datadir}/%{_basename}/.clatexmath-res_root
%{mingw64_datadir}/%{_basename}/*
%files -n mingw64-%{_basename}-static
%{mingw64_libdir}/lib%{_basename}.a
%{mingw64_libdir}/lib%{_basename}.dll.a

%changelog
